com.holonplatform.vaadin.flow.components.builders

## Interface LabelBuilder<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>

- Type Parameters:
    `L` - Concrete label component type
  All Superinterfaces:
    ClickNotifierConfigurator<L,ClickEvent<L>,LabelBuilder<L>>, ComponentBuilder<L,LabelBuilder<L>>, ComponentConfigurator<LabelBuilder<L>>, DeferrableLocalizationConfigurator<LabelBuilder<L>>, HasDeferrableLocalization, HasElementConfigurator<LabelBuilder<L>>, HasEnabledConfigurator<LabelBuilder<L>>, HasHtmlTextConfigurator<LabelBuilder<L>>, HasSizeConfigurator<LabelBuilder<L>>, HasStyleConfigurator<LabelBuilder<L>>, HasTextConfigurator<LabelBuilder<L>>, HasTitleConfigurator<LabelBuilder<L>>, HtmlComponentConfigurator<LabelBuilder<L>>, LabelConfigurator<L,LabelBuilder<L>>

      public interface LabelBuilder<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>
      extends LabelConfigurator<L,LabelBuilder<L>>, ComponentBuilder<L,LabelBuilder<L>>

  Builder to create label components, i.e. components to display a text.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.LabelConfigurator

      `LabelConfigurator.BaseLabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LabelBuilder<com.vaadin.flow.component.html.Div>` | `div()` Obtain a `LabelBuilder` to create a label component using a `Div` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H1>` | `h1()` Obtain a `LabelBuilder` to create a label component using a `H1` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H2>` | `h2()` Obtain a `LabelBuilder` to create a label component using a `H2` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H3>` | `h3()` Obtain a `LabelBuilder` to create a label component using a `H3` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H4>` | `h4()` Obtain a `LabelBuilder` to create a label component using a `H4` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H5>` | `h5()` Obtain a `LabelBuilder` to create a label component using a `H5` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.H6>` | `h6()` Obtain a `LabelBuilder` to create a label component using a `H6` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.Paragraph>` | `paragraph()` Obtain a `LabelBuilder` to create a label component using a `Paragraph` tag.
    `static LabelBuilder<com.vaadin.flow.component.html.Span>` | `span()` Obtain a `LabelBuilder` to create a label component using a `Span` tag.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.LabelConfigurator

      `configure`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasHtmlTextConfigurator

      `htmlText, htmlText, htmlText`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener, withClickShortcut, withClickShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentBuilder

      `build`

- - ### Method Detail

    - #### span

          static LabelBuilder<com.vaadin.flow.component.html.Span> span()

      Obtain a `LabelBuilder` to create a label component using a `Span` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### div

          static LabelBuilder<com.vaadin.flow.component.html.Div> div()

      Obtain a `LabelBuilder` to create a label component using a `Div` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### paragraph

          static LabelBuilder<com.vaadin.flow.component.html.Paragraph> paragraph()

      Obtain a `LabelBuilder` to create a label component using a `Paragraph` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h1

          static LabelBuilder<com.vaadin.flow.component.html.H1> h1()

      Obtain a `LabelBuilder` to create a label component using a `H1` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h2

          static LabelBuilder<com.vaadin.flow.component.html.H2> h2()

      Obtain a `LabelBuilder` to create a label component using a `H2` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h3

          static LabelBuilder<com.vaadin.flow.component.html.H3> h3()

      Obtain a `LabelBuilder` to create a label component using a `H3` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h4

          static LabelBuilder<com.vaadin.flow.component.html.H4> h4()

      Obtain a `LabelBuilder` to create a label component using a `H4` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h5

          static LabelBuilder<com.vaadin.flow.component.html.H5> h5()

      Obtain a `LabelBuilder` to create a label component using a `H5` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

    - #### h6

          static LabelBuilder<com.vaadin.flow.component.html.H6> h6()

      Obtain a `LabelBuilder` to create a label component using a `H6` tag.
      Returns:
        The `LabelBuilder` to configure and obtain the component instance

Copyright © 2019 The Holon Platform. All rights reserved.